net.dontdrinkandroot.persistence.predicatebuilder

## Class NullPredicateBuilder<T>

- java.lang.Object
- - net.dontdrinkandroot.persistence.predicatebuilder.NullPredicateBuilder<T>

All Implemented Interfaces:
  PredicateBuilder<T>

    public class NullPredicateBuilder<T>
    extends Object
    implements PredicateBuilder<T>

### Constructor Summary

Constructors
Constructor and Description
`NullPredicateBuilder(javax.persistence.metamodel.SingularAttribute<? super T,?> attribute, boolean isNull)`

### Method Summary

Methods
`javax.persistence.criteria.Predicate` `createPredicate(javax.persistence.criteria.CriteriaBuilder builder, javax.persistence.criteria.Path<? extends T> root)` Builds a predicate with the given builder that is derived from the given path.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NullPredicateBuilder

    public NullPredicateBuilder(javax.persistence.metamodel.SingularAttribute<? super T,?> attribute,
                        boolean isNull)

### Method Detail

#### createPredicate

    public javax.persistence.criteria.Predicate createPredicate(javax.persistence.criteria.CriteriaBuilder builder,
                                                       javax.persistence.criteria.Path<? extends T> root)

Description copied from interface: `PredicateBuilder`
Builds a predicate with the given builder that is derived from the given path.

Specified by:
  `createPredicate` in interface `PredicateBuilder<T>`